Bug 853730 - Request for New application 0 AD
Request for New application 0 AD
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
18
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-02 09:43 EDT by Brandon
Modified: 2014-03-16 23:32 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-04 12:28:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon 2012-09-02 09:43:12 EDT
http://www.wildfiregames.com/0ad/

I wrote these instructions about 6 months ago.  I have not had time to work on them because I have been busy with Classes.

Instructions to build RPM

Source code: http://trac.wildfiregames.com/wiki/LatestReleaseLinux
0ad.spec http://pastebin.com/AwxkQ53r
0ad-data.spec http://pastebin.com/Cs7tQXFc

1) as the root install these packages
yum install @development-tools
yum install fedora-packager

yum install boost-devel DevIL-devel fam-devel gcc-c++ gcc-c libcurl-devel libjpeg-devel libpng-devel libvorbis-devel libxml2-devel nasm python
subversion zip cmake desktop-file-utils openal-soft-devel pkgconfig SDL-devel wxGTK-devel p7zip p7zip-plugins


2) in terminal as the root type the following:
/usr/sbin/useradd makerpm
passwd makerpm
(that command allows you to create a password for the user you will be building packages as.

3) log in to makerpm

4) In terminal type the following
rpmdev-setuptree

http://pastebin.com/raw.php?i=AwxkQ53r copy the raw paste contents open up gedit and save it as 0-ad.spec
http://pastebin.com/raw.php?i=Cs7tQXFc copy the raw paste contents open up gedit and save it as 0-ad-data.spec

copy 0-ad.spec to /home/makerpm/buildrpm/SPECS
copy 0-ad-data.spec to the same directory

Next copy 0ad-r10803-alpha-unix-build.tar.gz to the SOURCES directory under buildrpm directory

go back to the SPECS directory and type the following directory

rpmbuild -ba 0ad.spec

after successful buiding clear out the bulidroot directory the sources directory and the build directory

Next copy 0ad-r10803-alpha-unix-data.tar.gz to the SOURCES directory under /home/makerpm/buildrpm directory

change to the SPECS directory

type rpmbuild -ba 0ad-data.spec

your rpm for the program should appear in the RPMs folder under the ~/buildrpm directory

Thanks,
brandon.

.specs were modifed from the open suse build service to work for fedora.

the spec files were obtained from opensuse build services and modified to work with fedora.
Comment 1 Bill Nottingham 2012-09-04 12:28:25 EDT
This is already on the Games wishlist at:

https://fedoraproject.org/wiki/SIGs/Games/WishList

and I've added a link there to this bug for more info.

Until someone picks it up from there, there's little else to do. Marking as 'deferrred' pending that.

Note You need to log in before you can comment on or make changes to this bug.